
From: Adrian Bunk <bunk@fs.tum.de>

The patch below removes a kernel 2.2 #ifdef from the i386 and alpha
lockmeter.h.



---

 include/asm-alpha/lockmeter.h |    6 ------
 include/asm-i386/lockmeter.h  |    8 --------
 2 files changed, 14 deletions(-)

diff -puN include/asm-alpha/lockmeter.h~lockmeter-2.2-cruft include/asm-alpha/lockmeter.h
--- 25/include/asm-alpha/lockmeter.h~lockmeter-2.2-cruft	2004-02-07 17:32:04.000000000 -0800
+++ 25-akpm/include/asm-alpha/lockmeter.h	2004-02-07 17:32:04.000000000 -0800
@@ -16,12 +16,6 @@
 #define THIS_CPU_NUMBER		smp_processor_id()
 
 #include <linux/version.h>
-#if LINUX_VERSION_CODE < KERNEL_VERSION(2,3,0)
-#define local_irq_save(x) \
-	__save_and_cli(x)
-#define local_irq_restore(x) \
-	__restore_flags(x)
-#endif	/* Linux version 2.2.x */
 
 #define SPINLOCK_MAGIC_INIT /**/
 
diff -puN include/asm-i386/lockmeter.h~lockmeter-2.2-cruft include/asm-i386/lockmeter.h
--- 25/include/asm-i386/lockmeter.h~lockmeter-2.2-cruft	2004-02-07 17:32:04.000000000 -0800
+++ 25-akpm/include/asm-i386/lockmeter.h	2004-02-07 17:32:04.000000000 -0800
@@ -31,14 +31,6 @@ extern unsigned long cpu_khz;
 
 #define THIS_CPU_NUMBER		smp_processor_id()
 
-#if LINUX_VERSION_CODE < KERNEL_VERSION(2,3,0)
-#define local_irq_save(x) \
-    __asm__ __volatile__("pushfl ; popl %0 ; cli":"=g" (x): /* no input */ :"memory")
-
-#define local_irq_restore(x) \
-    __asm__ __volatile__("pushl %0 ; popfl": /* no output */ :"g" (x):"memory")
-#endif	/* Linux version 2.2.x */
-
 /*
  * macros to cache and retrieve an index value inside of a spin lock
  * these macros assume that there are less than 65536 simultaneous

_
